#include <stdio.h>
#include <stdlib.h>

int main()
{
 long long int n,a;
 scanf("%d %d", &n, &a);
 long long int szamlalo=n;
 if((n==a)||((n/3)<a))
 {
     printf("-1");
 }
 else if ((a==2)&&((n%2)==1))
 {
     printf("-1");
 }
 else
{   if((n%2)==0)
    {
       if( (a%2)==0)
       {
           printf("%lli %lli\n", a ,0);
           szamlalo=szamlalo-a;
       }
       else
       {
           printf("%lli %lli\n", a, 1);
           szamlalo=szamlalo-a-1;
       }
    }
    else
    {
        if( (a%2)==0)
       {
           printf("%lli %lli\n", a ,1);
           szamlalo=szamlalo-a-1;
       }
       else
       {
           printf("%lli %lli\n", a, 0);
           szamlalo=szamlalo-a;
       }
    }
 if( (a%2)==0)
       {
           printf("%lli %lli\n", a ,0);
           szamlalo=szamlalo-a;
       }
       else
       {
           printf("%lli %lli\n", a, 1);
           szamlalo=szamlalo-a-1;
       }
 long long int utolso;
 utolso =szamlalo/2;
 if (utolso<a)
 {
     printf("%lli %lli", a, szamlalo-a);
 }
 else{
    printf("%lli %lli", utolso+1, utolso-1);
 }

}

    return 0;
}